Index: translator_se.h
===================================================================
--- translator_se.h	(revision 681)
+++ translator_se.h	(arbetskopia)
@@ -569,57 +687,73 @@
           if (i<numEntries-2) // not the fore last entry
             result+=", ";
           else                // the fore last entry
-            result+=", och ";
+            result+=", and ";
         }
       }
       return result;
     }
 
+    /*! used in class documentation to produce a list of base classes,
+     *  if class diagrams are disabled.
+     */
     virtual QCString trInheritsList(int numEntries)
-      // used in class documentation to produce a list of base classes,
-      // if class diagrams are disabled.
     {
-      return "Ärver "+trWriteList(numEntries)+".";
+      return "Inherits "+trWriteList(numEntries)+".";
     }
+
+    /*! used in class documentation to produce a list of super classes,
+     *  if class diagrams are disabled.
+     */
     virtual QCString trInheritedByList(int numEntries)
-      // used in class documentation to produce a list of super classes,
-      // if class diagrams are disabled.
     {
-      return "Ärvd av "+trWriteList(numEntries)+".";
+      return "Inherited by "+trWriteList(numEntries)+".";
     }
+
+    /*! used in member documentation blocks to produce a list of
+     *  members that are hidden by this one.
+     */
     virtual QCString trReimplementedFromList(int numEntries)
-      // used in member documentation blocks to produce a list of
-      // members that are hidden by this one.
     {
-      return "Återskapad från "+trWriteList(numEntries)+".";
+      return "Reimplemented from "+trWriteList(numEntries)+".";
     }
+
+    /*! used in member documentation blocks to produce a list of
+     *  all member that overwrite the implementation of this member.
+     */
     virtual QCString trReimplementedInList(int numEntries)
     {
-      // used in member documentation blocks to produce a list of
-      // all member that overwrite the implementation of this member.
-      return "Återskapad i "+trWriteList(numEntries)+".";
+      return "Reimplemented in "+trWriteList(numEntries)+".";
     }
 
+    /*! This is put above each page as a link to all members of namespaces. */
     virtual QCString trNamespaceMembers()
-    { return "Namnrymdsmedlemmar"; }
+    { return "Namespace Members"; }
+
+    /*! This is an introduction to the page with all namespace members */
     virtual QCString trNamespaceMemberDescription(bool extractAll)
     {
-      QCString result="Här är en lista över alla ";
-      if (!extractAll) result+="dokumenterade ";
-      result+="namnrymdsmedlemmar med länkar till ";
+      QCString result="Here is a list of all ";
+      if (!extractAll) result+="documented ";
+      result+="namespace members with links to ";
       if (extractAll)
-        result+=" namnrymd-dokumentationen för varje medlem:";
+        result+="the namespace documentation for each member:";
       else
-        result+="de namnrymder de tillhör:";
+        result+="the namespaces they belong to:";
       return result;
     }
-
+    /*! This is used in LaTeX as the title of the chapter with the
+     *  index of all namespaces.
+     */
     virtual QCString trNamespaceIndex()
-    { return "Namnrymdsindex"; }
+    { return "Namespace Index"; }
 
+    /*! This is used in LaTeX as the title of the chapter containing
+     *  the documentation of all namespaces.
+     */
     virtual QCString trNamespaceDocumentation()
-      { return "Namnrymd-dokumentation"; }
-    //////////////////////////////////////////////////////////////////////////
+    { return "Namespace Documentation"; }
+
+//////////////////////////////////////////////////////////////////////////
 // new since 0.49-990522
 //////////////////////////////////////////////////////////////////////////
 
@@ -627,7 +761,7 @@
      *  namespaces in a file.
      */
     virtual QCString trNamespaces()
-    { return "Namnrymder"; }
+    { return "Namespaces"; }
 
 //////////////////////////////////////////////////////////////////////////
 // new since 0.49-990728
@@ -638,21 +772,20 @@
      */
     virtual QCString trGeneratedFromFiles(ClassDef::CompoundType compType,
         bool single)
-    { // here s is one of " Class", " Struct" or " Union"
-      // single is true implies a single file
-      QCString result=(QCString)"Dokumentationen för ";
+    { // single is true implies a single file
+      QCString result=(QCString)"The documentation for this ";
       switch(compType)
       {
-        case ClassDef::Class:      result+="denna klass "; break;
-        case ClassDef::Struct:     result+="denna strukt "; break;
-        case ClassDef::Union:      result+="denna union "; break;
-        case ClassDef::Interface:  result+="detta gränssnitt "; break;
-        case ClassDef::Protocol:   result+="protocol"; break; // translate me!
-        case ClassDef::Category:   result+="category"; break; // translate me!
-        case ClassDef::Exception:  result+="detta undantag "; break;
+        case ClassDef::Class:      result+="class"; break;
+        case ClassDef::Struct:     result+="struct"; break;
+        case ClassDef::Union:      result+="union"; break;
+        case ClassDef::Interface:  result+="interface"; break;
+        case ClassDef::Protocol:   result+="protocol"; break;
+        case ClassDef::Category:   result+="category"; break;
+        case ClassDef::Exception:  result+="exception"; break;
       }
-      result+="var genererad från följande fil";
-      if (single) result+=":"; else result+="er:";
+      result+=" was generated from the following file";
+      if (single) result+=":"; else result+="s:";
       return result;
     }
 
@@ -660,27 +793,26 @@
      * list.
      */
     virtual QCString trAlphabeticalList()
-    {
-      return "Alfabetisk lista";
-    }
+    { return "Alphabetical List"; }
+
 //////////////////////////////////////////////////////////////////////////
 // new since 0.49-990901
 //////////////////////////////////////////////////////////////////////////
 
     /*! This is used as the heading text for the retval command. */
     virtual QCString trReturnValues()
-    { return "Returvärden"; }
+    { return "Return values"; }
 
     /*! This is in the (quick) index as a link to the main page (index.html)
      */
     virtual QCString trMainPage()
-    { return "Huvudsida"; }
+    { return "Main Page"; }
 
-    /*! This is used in references to page that are put in the LaTeX 
+    /*! This is used in references to page that are put in the LaTeX
      *  documentation. It should be an abbreviation of the word page.
      */
     virtual QCString trPageAbbreviation()
-    { return "s."; }
+    { return "p."; }
 
 //////////////////////////////////////////////////////////////////////////
 // new since 0.49-991003
@@ -688,11 +820,11 @@
 
     virtual QCString trDefinedAtLineInSourceFile()
     {
-      return "Definition på rad @0 i filen @1.";
+      return "Definition at line @0 of file @1.";
     }
     virtual QCString trDefinedInSourceFile()
     {
-      return "Definition i filen @0.";
+      return "Definition in file @0.";
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -701,7 +833,7 @@
 
     virtual QCString trDeprecated()
     {
-      return "Föråldrad";
+      return "Deprecated";
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -711,129 +843,120 @@
     /*! this text is put before a collaboration diagram */
     virtual QCString trCollaborationDiagram(const char *clName)
     {
-      return (QCString)"Samarbetsdiagram för "+clName+":";
+      return (QCString)"Collaboration diagram for "+clName+":";
     }
-    
     /*! this text is put before an include dependency graph */
     virtual QCString trInclDepGraph(const char *fName)
     {
-      return (QCString)"Include-beroendediagram för "+fName+":";
+      return (QCString)"Include dependency graph for "+fName+":";
     }
-    
     /*! header that is put before the list of constructor/destructors. */
     virtual QCString trConstructorDocumentation()
     {
-      return "Dokumentation av konstruktorer och destruktorer"; 
+      return "Constructor & Destructor Documentation";
     }
-
     /*! Used in the file documentation to point to the corresponding sources. */
     virtual QCString trGotoSourceCode()
     {
-      return "Gå till denna fils källkod.";
+      return "Go to the source code of this file.";
     }
-
     /*! Used in the file sources to point to the corresponding documentation. */
     virtual QCString trGotoDocumentation()
     {
-      return "Gå till denna fils dokumentation.";
+      return "Go to the documentation of this file.";
     }
-
     /*! Text for the \\pre command */
     virtual QCString trPrecondition()
     {
-      return "Förhandsvillkor";
+      return "Precondition";
     }
-
     /*! Text for the \\post command */
     virtual QCString trPostcondition()
     {
-      return "Resultat"; //"Postcondition";
+      return "Postcondition";
     }
-
     /*! Text for the \\invariant command */
     virtual QCString trInvariant()
     {
       return "Invariant";
     }
-
     /*! Text shown before a multi-line variable/enum initialization */
     virtual QCString trInitialValue()
     {
-      return "Begynnelsevärde:";
+      return "Initial value:";
     }
     /*! Text used the source code in the file index */
     virtual QCString trCode()
     {
-      return "källkod";
+      return "code";
     }
-
     virtual QCString trGraphicalHierarchy()
     {
-      return "Grafisk klasshierarki";
+      return "Graphical Class Hierarchy";
     }
     virtual QCString trGotoGraphicalHierarchy()
     {
-      return "Gå till den grafiska klasshierarkin";
+      return "Go to the graphical class hierarchy";
     }
     virtual QCString trGotoTextualHierarchy()
     {
-      return "Gå till den textbaserade klasshierarkin";
+      return "Go to the textual class hierarchy";
     }
     virtual QCString trPageIndex()
     {
-      return "Sidindex";
+      return "Page Index";
     }
-    
+
 //////////////////////////////////////////////////////////////////////////
 // new since 1.1.0
 //////////////////////////////////////////////////////////////////////////
-    
+
     virtual QCString trNote()
     {
-      return "Notera";
+      return "Note";
     }
     virtual QCString trPublicTypes()
     {
-      return "Publika typer";
+      return "Public Types";
     }
     virtual QCString trPublicAttribs()
     {
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
-        return "Datafält";
+        return "Data Fields";
       }
       else
       {
-        return "Publika attribut";
+        return "Public Attributes";
       }
     }
     virtual QCString trStaticPublicAttribs()
     {
-      return "Statiska publika attribut";
+      return "Static Public Attributes";
     }
     virtual QCString trProtectedTypes()
     {
-      return "Skyddade typer";
+      return "Protected Types";
     }
     virtual QCString trProtectedAttribs()
     {
-      return "Skyddade attribut";
+      return "Protected Attributes";
     }
     virtual QCString trStaticProtectedAttribs()
     {
-      return "Statiska skyddade attribut";
+      return "Static Protected Attributes";
     }
     virtual QCString trPrivateTypes()
     {
-      return "Privata typer";
+      return "Private Types";
     }
     virtual QCString trPrivateAttribs()
     {
-      return "Privata attribut";
+      return "Private Attributes";
     }
     virtual QCString trStaticPrivateAttribs()
     {
-      return "Statiska privata attribut";
+      return "Static Private Attributes";
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -843,12 +966,12 @@
     /*! Used as a marker that is put before a \\todo item */
     virtual QCString trTodo()
     {
-      return "Att-göra";
+      return "Todo";
     }
     /*! Used as the header of the todo list */
     virtual QCString trTodoList()
     {
-      return "Att-göra lista";
+      return "Todo List";
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -857,24 +980,24 @@
 
     virtual QCString trReferencedBy()
     {
-      return "Refererad av";
+      return "Referenced by";
     }
     virtual QCString trRemarks()
     {
-      return "Lägg märke till";
+      return "Remarks";
     }
     virtual QCString trAttention()
     {
-      return "Observera";
+      return "Attention";
     }
     virtual QCString trInclByDepGraph()
     {
-      return "Den här grafen visar vilka filer som direkt eller "
-	      "indirekt inkluderar denna filen.";
+      return "This graph shows which files directly or "
+             "indirectly include this file:";
     }
     virtual QCString trSince()
     {
-      return "Sedan";
+      return "Since";
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -884,36 +1007,35 @@
     /*! title of the graph legend page */
     virtual QCString trLegendTitle()
     {
-      return "Grafförklaring";
+      return "Graph Legend";
     }
-
-    /*! page explaining how the dot graph's should be interpreted 
+    /*! page explaining how the dot graph's should be interpreted
      *  The %A in the text below are to prevent link to classes called "A".
      */
     virtual QCString trLegendDocs()
     {
-      return 
-        "Den här sidan förklarar hur man ska tolka de grafer som doxygen "
-        "genererar.<p>\n"
-        "Tag följande exempel:\n"
+      return
+        "This page explains how to interpret the graphs that are generated "
+        "by doxygen.<p>\n"
+        "Consider the following example:\n"
         "\\code\n"
-	"/*! Osynlig klass på grund av stympning */\n"
+        "/*! Invisible class because of truncation */\n"
         "class Invisible { };\n\n"
-	"/*! Stympad klass, ärvningsrelationen är dold */\n"
+        "/*! Truncated class, inheritance relation is hidden */\n"
         "class Truncated : public Invisible { };\n\n"
-	"/* Klass utan doxygen-kommentarer */\n"
+        "/* Class not documented with doxygen comments */\n"
         "class Undocumented { };\n\n"
-	"/*! Klass som ärvs med publikt arv */\n"
+        "/*! Class that is inherited using public inheritance */\n"
         "class PublicBase : public Truncated { };\n\n"
-        "/*! En template-klass */\n"
+        "/*! A template class */\n"
         "template<class T> class Templ { };\n\n"
-	"/*! Klass som ärvs med skyddat arv */\n"
+        "/*! Class that is inherited using protected inheritance */\n"
         "class ProtectedBase { };\n\n"
-	"/*! Klass som ärvs med privat arv */\n"
+        "/*! Class that is inherited using private inheritance */\n"
         "class PrivateBase { };\n\n"
-	"/*! Klass som används av Inherited klassen */\n"
+        "/*! Class that is used by the Inherited class */\n"
         "class Used { };\n\n"
-	"/*! Super klassen som ärver ett antal andra klasser */\n"
+        "/*! Super class that inherits a number of other classes */\n"
         "class Inherited : public PublicBase,\n"
         "                  protected ProtectedBase,\n"
         "                  private PrivateBase,\n"
@@ -924,47 +1046,43 @@
         "    Used *m_usedClass;\n"
         "};\n"
         "\\endcode\n"
-	"Om \\c MAX_DOT_GRAPH_HEIGHT är satt till 240 i konfigurationsfilen, "
-	"kommer följande graf att generas:"
+        "This will result in the following graph:"
         "<p><center><img alt=\"\" src=\"graph_legend."+Config_getEnum("DOT_IMAGE_FORMAT")+"\"></center>\n"
         "<p>\n"
-	"Rektanglarna i den ovanstående grafen har följande betydelser:\n"
+        "The boxes in the above graph have the following meaning:\n"
         "<ul>\n"
-	"<li>%En fylld svart rektangel representerar den strukt eller klass "
-	"som har genererat grafen.\n"
-	"<li>%En rektangel med svart kant symboliserar en dokumenterad "
-	"strukt eller klass.\n"
-	"<li>%En rektangel med grå kant symboliserar en odokumenterad strukt "
-	"eller klass.\n"
-	"<li>%En klass med röd kant symboliserar en strukt eller klass där "
-	"alla dess relationer inte visas. %En graf stympas om den inte får "
-	"plats inom de givna gränserna.\n"
+        "<li>%A filled gray box represents the struct or class for which the "
+        "graph is generated.\n"
+        "<li>%A box with a black border denotes a documented struct or class.\n"
+        "<li>%A box with a grey border denotes an undocumented struct or class.\n"
+        "<li>%A box with a red border denotes a documented struct or class for"
+        "which not all inheritance/containment relations are shown. %A graph is "
+        "truncated if it does not fit within the specified boundaries.\n"
         "</ul>\n"
-	"Pilarna har följande betydelser:\n"
+        "The arrows have the following meaning:\n"
         "<ul>\n"
-	"<li>%En mörkblå pil används för att visualisera en publik arvrelation "
-	"mellan två klasser.\n"
-	"<li>%En mörkgrön pil används för en skyddad arvsrelation.\n"
-	"<li>%En mörkröd pil används för en privat arvsrelation.\n"
-	"<li>%En sträckad lila pil används om en klass är innesluten eller "
-	"använd av en annan klass. Vid pilen står namnet på den eller de "
-	"variabler som klassen pilen pekar på kommer åt.\n"
-	"<li>%En sträckad gul pil symboliserar förhållandet mellan en "
-	"template-instans och template-klassen, som den instantierades från.\n"
-	"Vid pilen står instansens template-parametrar.\n"
+        "<li>%A dark blue arrow is used to visualize a public inheritance "
+        "relation between two classes.\n"
+        "<li>%A dark green arrow is used for protected inheritance.\n"
+        "<li>%A dark red arrow is used for private inheritance.\n"
+        "<li>%A purple dashed arrow is used if a class is contained or used "
+        "by another class. The arrow is labeled with the variable(s) "
+        "through which the pointed class or struct is accessible.\n"
+        "<li>%A yellow dashed arrow denotes a relation between a template instance and "
+        "the template class it was instantiated from. The arrow is labeled with "
+        "the template parameters of the instance.\n"
         "</ul>\n";
     }
-
     /*! text for the link to the legend page */
     virtual QCString trLegend()
     {
-      return "förklaring";
+      return "legend";
     }
 
 //////////////////////////////////////////////////////////////////////////
 // new since 1.2.0
 //////////////////////////////////////////////////////////////////////////
-    
+
     /*! Used as a marker that is put before a test item */
     virtual QCString trTest()
     {
@@ -973,7 +1091,7 @@
     /*! Used as the header of the test list */
     virtual QCString trTestList()
     {
-      return "Testlista";
+      return "Test List";
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -983,7 +1101,7 @@
     /*! Used as a section header for KDE-2 IDL methods */
     virtual QCString trDCOPMethods()
     {
-      return "DCOP metoder";
+      return "DCOP Member Functions";
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -993,12 +1111,12 @@
     /*! Used as a section header for IDL properties */
     virtual QCString trProperties()
     {
-		return "Egenskaper";
+      return "Properties";
     }
     /*! Used as a section header for IDL property documentation */
     virtual QCString trPropertyDocumentation()
     {
-      return "Egenskapsdokumentation";
+      return "Property Documentation";
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -1010,53 +1128,52 @@
     {
       if (Config_getBool("OPTIMIZE_OUTPUT_FOR_C"))
       {
-        return "Datastrukturer";
+        return "Data Structures";
       }
       else
       {
-        return "Klasser";
+        return "Classes";
       }
     }
     /*! Used as the title of a Java package */
     virtual QCString trPackage(const char *name)
     {
-      return (QCString)"Paket "+name;
+      return (QCString)"Package "+name;
     }
     /*! Title of the package index page */
     virtual QCString trPackageList()
     {
-      return "Paketlista";
+      return "Package List";
     }
     /*! The description of the package index page */
     virtual QCString trPackageListDescription()
     {
-      return "Här är en lista över paketen med en kort beskrivning "
-             "(om sådan finns):";
+      return "Here are the packages with brief descriptions (if available):";
     }
     /*! The link name in the Quick links header for each page */
     virtual QCString trPackages()
     {
-      return "Paket";
+      return "Packages";
     }
     /*! Text shown before a multi-line define */
     virtual QCString trDefineValue()
     {
-      return "Värde:";
+      return "Value:";
     }
-    
+
 //////////////////////////////////////////////////////////////////////////
 // new since 1.2.5
 //////////////////////////////////////////////////////////////////////////
-    
+
     /*! Used as a marker that is put before a \\bug item */
     virtual QCString trBug()
     {
-      return "Bugg";
+      return "Bug";
     }
     /*! Used as the header of the bug list */
     virtual QCString trBugList()
     {
-      return "Bugglista";
+      return "Bug List";
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -1064,19 +1181,39 @@
 //////////////////////////////////////////////////////////////////////////
 
     /*! Used as ansicpg for RTF file
-	 * (used table extract:)
-	 * <pre>
+     *
+     * The following table shows the correlation of Charset name, Charset Value and
+     * <pre>
+     * Codepage number:
      * Charset Name       Charset Value(hex)  Codepage number
      * ------------------------------------------------------
+     * DEFAULT_CHARSET           1 (x01)
+     * SYMBOL_CHARSET            2 (x02)
+     * OEM_CHARSET             255 (xFF)
      * ANSI_CHARSET              0 (x00)            1252
-	 * </pre>
-	 */
+     * RUSSIAN_CHARSET         204 (xCC)            1251
+     * EE_CHARSET              238 (xEE)            1250
+     * GREEK_CHARSET           161 (xA1)            1253
+     * TURKISH_CHARSET         162 (xA2)            1254
+     * BALTIC_CHARSET          186 (xBA)            1257
+     * HEBREW_CHARSET          177 (xB1)            1255
+     * ARABIC _CHARSET         178 (xB2)            1256
+     * SHIFTJIS_CHARSET        128 (x80)             932
+     * HANGEUL_CHARSET         129 (x81)             949
+     * GB2313_CHARSET          134 (x86)             936
+     * CHINESEBIG5_CHARSET     136 (x88)             950
+     * </pre>
+     *
+     */
     virtual QCString trRTFansicp()
     {
       return "1252";
     }
 
-    /*! Used as ansicpg for RTF fcharset */
+
+    /*! Used as ansicpg for RTF fcharset
+     *  \see trRTFansicp() for a table of possible values.
+     */
     virtual QCString trRTFCharSet()
     {
       return "0";
@@ -1089,83 +1226,66 @@
     }
 
     /*! This is used for translation of the word that will possibly
-     *  be followed by a single name or by a list of names 
+     *  be followed by a single name or by a list of names
      *  of the category.
      */
     virtual QCString trClass(bool first_capital, bool singular)
-    { 
-      QCString result((first_capital ? "Klass" : "klass"));
-      if (!singular)  result+="er";
-      return result; 
+    {
+      return createNoun(first_capital, singular, "class", "es");
     }
 
     /*! This is used for translation of the word that will possibly
-     *  be followed by a single name or by a list of names 
+     *  be followed by a single name or by a list of names
      *  of the category.
      */
     virtual QCString trFile(bool first_capital, bool singular)
-    { 
-      QCString result((first_capital ? "Fil" : "fil"));
-      if (!singular)  result+="er";
-      return result; 
+    {
+      return createNoun(first_capital, singular, "file", "s");
     }
 
     /*! This is used for translation of the word that will possibly
-     *  be followed by a single name or by a list of names 
+     *  be followed by a single name or by a list of names
      *  of the category.
      */
     virtual QCString trNamespace(bool first_capital, bool singular)
-    { 
-      QCString result((first_capital ? "Namnrymd" : "namnrynd"));
-      if (!singular)  result+="er";
-      return result; 
+    {
+      return createNoun(first_capital, singular, "namespace", "s");
     }
-    
+
     /*! This is used for translation of the word that will possibly
-     *  be followed by a single name or by a list of names 
+     *  be followed by a single name or by a list of names
      *  of the category.
      */
     virtual QCString trGroup(bool first_capital, bool singular)
-    { 
-      QCString result((first_capital ? "Grupp" : "grupp"));
-      if (!singular)  result+="er";
-      return result; 
+    {
+      return createNoun(first_capital, singular, "group", "s");
     }
 
     /*! This is used for translation of the word that will possibly
-     *  be followed by a single name or by a list of names 
+     *  be followed by a single name or by a list of names
      *  of the category.
      */
     virtual QCString trPage(bool first_capital, bool singular)
-    { 
-      QCString result((first_capital ? "Sid" : "sid"));
-      if (singular)
-         result+="a";
-      else
-         result+="or";
-      return result; 
+    {
+      return createNoun(first_capital, singular, "page", "s");
     }
 
     /*! This is used for translation of the word that will possibly
-     *  be followed by a single name or by a list of names 
+     *  be followed by a single name or by a list of names
      *  of the category.
      */
     virtual QCString trMember(bool first_capital, bool singular)
-    { 
-      QCString result((first_capital ? "Medlem" : "medlem"));
-      if (!singular)  result+="mar";
-      return result; 
+    {
+      return createNoun(first_capital, singular, "member", "s");
     }
 
     /*! This is used for translation of the word that will possibly
-     *  be followed by a single name or by a list of names 
+     *  be followed by a single name or by a list of names
      *  of the category.
      */
     virtual QCString trGlobal(bool first_capital, bool singular)
-    { 
-      QCString result((first_capital ? "Global" : "global"));
-      if (!singular)  result+="er";
-      return result; 
+    {
+      return createNoun(first_capital, singular, "global", "s");
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -1174,10 +1294,11 @@
 
     /*! This text is generated when the \\author command is used and
      *  for the author section in man pages. */
-    virtual QCString trAuthor(bool first_capital, bool /*singular*/)
+    virtual QCString trAuthor(bool first_capital, bool singular)
     {
-      QCString result((first_capital ? "Författare" : "författare"));
-      return result; 
+      QCString result((first_capital ? "Author" : "author"));
+      if (!singular)  result+="s";
+      return result;
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -1188,19 +1309,19 @@
      */
     virtual QCString trReferences()
     {
-      return "Referenser";
+      return "References";
     }
 
 //////////////////////////////////////////////////////////////////////////
 // new since 1.2.13
 //////////////////////////////////////////////////////////////////////////
 
-    /*! used in member documentation blocks to produce a list of 
+    /*! used in member documentation blocks to produce a list of
      *  members that are implemented by this one.
      */
     virtual QCString trImplementedFromList(int numEntries)
     {
-      return "Implementerar "+trWriteList(numEntries)+".";
+      return "Implements "+trWriteList(numEntries)+".";
     }
 
     /*! used in member documentation blocks to produce a list of
@@ -1208,7 +1329,7 @@
      */
     virtual QCString trImplementedInList(int numEntries)
     {
-      return "Implementerad i "+trWriteList(numEntries)+".";
+      return "Implemented in "+trWriteList(numEntries)+".";
     }
 
 //////////////////////////////////////////////////////////////////////////
@@ -1220,36 +1341,36 @@
      */
     virtual QCString trRTFTableOfContents()
     {
-      return "Innehållsförteckning";
+      return "Table of Contents";
     }
 
 //////////////////////////////////////////////////////////////////////////
 // new since 1.2.17
 //////////////////////////////////////////////////////////////////////////
 
-    /*! Used as the header of the list of item that have been 
-     *  flagged deprecated 
+    /*! Used as the header of the list of item that have been
+     *  flagged deprecated
      */
     virtual QCString trDeprecatedList()
     {
-      return "Lista över föråldrade";
+      return "Deprecated List";
     }
 
 //////////////////////////////////////////////////////////////////////////
 // new since 1.2.18
 //////////////////////////////////////////////////////////////////////////
 
-    /*! Used as a header for declaration section of the events found in 
+    /*! Used as a header for declaration section of the events found in
      * a C# program
      */
     virtual QCString trEvents()
     {
-      return "Händelser";
+      return "Events";
     }
     /*! Header used for the documentation section of a class' events. */
     virtual QCString trEventDocumentation()
     {
-      return "Händelse Dokumentation";
+      return "Event Documentation";
     }
 
 //////////////////////////////////////////////////////////////////////////
